Bug 10261 - boot fails for nfsroot clients
boot fails for nfsroot clients
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-20 06:32 EST by s.m.green
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-20 06:32:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description s.m.green 2000-03-20 06:32:30 EST
boot.b supplied with RedHat6.1 appears to be broken with respect to nfsroot
clients booted from a floppy.

After creating a nfsroot kernel with 2.2.12 and 2.2.14, I get the following
errors using boot.b of RedHat 6.1

Looking up port of RPC 100003/2 on 192.168.4.1
portmap: server 192.168.4.1 not responding, timed out
Root-NFS: Unable to get nfsd port number from server using default
Looking up port of RPC 100005/1 on 192.168.4.1
portmap: server 192.168.4.1 not responding, timed out
Root-NFS: Unable to get nfsd port number from server using default
mount: server 192.168.4.1 not responding, timed out
Root-NFS: Server returned error -5 while mounting /cluster/nfsnode
VFS: Unable to mount root fs via NFS, trying floppy.
Looking up port of RPC 100003/2 on 192.168.4.1
portmap: server 192.168.4.1 not reponding, timed out
Root-NFS: Unable to get nfsd port number from server using default
Looking up port of RPC 100005/1 on 192.168.4.1
portmap: server 192.168.4.1 not reponding, timed out
Root-NFS: Unable to get nfsd port number from server using default
mount: server 192.168.4.1 not responding, timed out
Root-NFS: Server returned error -5 while mounting /cluster/nfsnode
VFS: Unable to mount root fs via NFS, trying floppy.

Switching boot.b for that of RedHat 6.0 results in clean nfsroot booting.

We can't tie this error down to anything else except boot.b - we've been
round the houses regards kernel options etc and had no problems with
RedHat-6.0.
Comment 1 Jeremy Katz 2002-06-04 01:09:06 EDT
There were problems with LILO in older releases with passing long kernel append
lines; these should be fixed in newer releases

Note You need to log in before you can comment on or make changes to this bug.